Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Svc_Tuple Class Template Reference

Holds the ACE_Svc_Handler and its argument and until an asynchronous connection completes. More...

`#include <Connector.h>`

List of all members.

## Public Methods
| ACE_Svc_Tuple (SVC_HANDLER *, ACE_HANDLE, const void * = 0, long timer_id = -1)
SVC_HANDLER* | svc_handler (void)
ACE_HANDLE | handle (void)
| Get handle. Set handle.
void | handle (ACE_HANDLE)
const void* | arg (void)
| Get argument. Set argument.
void | arg (const void *)
long | cancellation_id (void)
| Get cancellation id. Set cancellation id.
void | cancellation_id (long timer_id)
void | dump (void) const
| Dump the state of an object.
## Public Attributes
| ACE_ALLOC_HOOK_DECLARE
| Declare the dynamic allocation hooks.
## Private Attributes
SVC_HANDLER* | svc_handler_
| Associated SVC_HANDLER.
ACE_HANDLE | handle_
| IPC <HANDLE> that we are trying to connect.
const void* | arg_
| Associated argument.
long | cancellation_id_
| Associated cancellation id.

## Detailed Description

### template<class SVC_HANDLER> template class ACE_Svc_Tuple

Holds the ACE_Svc_Handler and its argument and until an asynchronous connection completes.

This is a no-brainer...

## Constructor & Destructor Documentation

template<classSVC_HANDLER>
ACE_Svc_Tuple<SVC_HANDLER>::ACE_Svc_Tuple<SVC_HANDLER> ( | SVC_HANDLER *,
| ACE_HANDLE,
| const void * = 0,
| long timer_id = -1 )

## Member Function Documentation

template<classSVH>
void ACE_Svc_Tuple< SVH >::arg ( | const void * v )

template<classSVH>
const void * ACE_Svc_Tuple<SVH>::arg ( | void )

| Get argument. Set argument.

template<classSVH>
void ACE_Svc_Tuple< SVH >::cancellation_id ( | long id )

template<classSVH>
long ACE_Svc_Tuple<SVH>::cancellation_id ( | void )

| Get cancellation id. Set cancellation id.

template<classSVH>
void ACE_Svc_Tuple<SVH>::dump ( | void ) const

| Dump the state of an object.

template<classSVH>
void ACE_Svc_Tuple< SVH >::handle ( | ACE_HANDLE h )

template<classSVH>
ACE_HANDLE ACE_Svc_Tuple<SVH>::handle ( | void )

| Get handle. Set handle.

template<classSVH>
SVC_HANDLER * ACE_Svc_Tuple< SVH >::svc_handler ( | void )

## Member Data Documentation

template<classSVC_HANDLER>
ACE_Svc_Tuple<SVC_HANDLER>::ACE_ALLOC_HOOK_DECLARE

| Declare the dynamic allocation hooks.

template<classSVC_HANDLER>
const void * ACE_Svc_Tuple<SVC_HANDLER>::arg_`[private]`

| Associated argument.

template<classSVC_HANDLER>
long ACE_Svc_Tuple<SVC_HANDLER>::cancellation_id_`[private]`

| Associated cancellation id.

template<classSVC_HANDLER>
ACE_HANDLE ACE_Svc_Tuple<SVC_HANDLER>::handle_`[private]`

| IPC <HANDLE> that we are trying to connect.

template<classSVC_HANDLER>
SVC_HANDLER * ACE_Svc_Tuple<SVC_HANDLER>::svc_handler_`[private]`

| Associated SVC_HANDLER.

The documentation for this class was generated from the following files:

- Connector.h
- Connector.cpp